Deployments
Retry device update
Authorization
API key Deployments: writeAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Deployments: write
Path Parameters
workspaceId*string
Format
uuiddeploymentCohortId*string
deploymentId*string
deviceId*string
Response Body
application/json
application/problem+json
application/problem+json
curl -X POST "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/deployment-cohorts/m3Yg84tDx7Rn/deployments/p6Bh19qSj5Fw/device-updates/thermostat-0042/retry"Update attempt created by the retry.
{ "id": 1042, "deviceId": "thermostat-0042", "deploymentId": "p6Bh19qSj5Fw", "createdAt": "2026-01-12T09:05:00+00:00", "state": "InProgress", "manifestSentToDeviceAt": "2026-01-12T09:05:02+00:00", "lastArtifactStateChangedAt": "2026-01-12T09:07:41+00:00", "artifacts": [ { "id": "t7Ln28xRg4Cp", "deploymentArtifactId": "s4Jm62wQb7Nz", "state": "InProgress", "firmware": { "isMain": true, "slug": "main-application", "firmwareVersion": { "id": "r2Kt75mXc8Vd", "name": "2.4.1", "firmware": { "id": "q8Fd53pLn1Yr", "name": "Thermostat application" } } } } ]}